## kf6-ki18n 6.6.0

=== autotests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

include(ECMAddTests)

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test Concurrent)

if (BUILD_WITH_QML)
ecm_add_test(ki18ndeclarativetest.cpp
    TEST_NAME "ki18n-declarativetest"
    LINK_LIBRARIES Qt6::Test Qt6::Qml KF6::I18n
)
endif()

ecm_add_test(klocalizedstringtest.cpp
    TEST_NAME "ki18n-klocalizedstringtest"
    LINK_LIBRARIES Qt6::Test Qt6::Concurrent KF6::I18n ${LibIntl_LIBRARIES}
)
# klocalizedstringtest needs the libintl include path
target_include_directories(ki18n-klocalizedstringtest PRIVATE ${LibIntl_INCLUDE_DIRS})

ecm_add_test(klazylocalizedstringtest.cpp
    TEST_NAME "ki18n-klazylocalizedstringtest"
    LINK_LIBRARIES Qt6::Test KF6::I18n
)

if (TARGET ktranscript)
ecm_add_test(ktranscripttest.cpp testhelpers.cpp
    TEST_NAME "ki18n-ktranscripttest"
    LINK_LIBRARIES Qt6::Test KF6::I18n
)
# ktranscripttest needs the path to ktranscript in the build dir: it cannot rely
# on the installed version since it must be able to run *before* the plugin is
# installed.
target_compile_definitions(ki18n-ktranscripttest PRIVATE "KTRANSCRIPT_PATH=\"$<TARGET_FILE:ktranscript>\"")

# ktranscriptcleantest needs to directly compile ktranscript.cpp with an addition DEFINE
ecm_add_test(ktranscriptcleantest.cpp ../src/i18n/ktranscript.cpp ../src/i18n/common_helpers.cpp
    TEST_NAME ki18n-ktranscriptcleantest
    LINK_LIBRARIES Qt6::Qml Qt6::Test Qt6::Concurrent KF6::I18n
)
target_compile_definitions(ki18n-ktranscriptcleantest PRIVATE "KTRANSCRIPT_TESTBUILD")
target_include_directories(ki18n-ktranscriptcleantest PRIVATE ..)
endif()

add_test(ki18n_install ${CMAKE_CTEST_COMMAND}
    --build-and-test
    "${CMAKE_CURRENT_SOURCE_DIR}/ki18n_install"
    "${CMAKE_CURRENT_BINARY_DIR}/ki18n_install"
    --build-generator ${CMAKE_GENERATOR}
    --build-makeprogram ${CMAKE_MAKE_PROGRAM}
    --build-target install
    --build-options
        "-DCMAKE_MODULE_PATH=${CMAKE_MODULE_PATH}"
        "-DCMAKE_INSTALL_PREFIX:PATH=${CMAKE_CURRENT_BINARY_DIR}/ki18n_install/destdir"
        "-DKF6I18n_DIR=${CMAKE_BINARY_DIR}/cmake"
    --test-command ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_SOURCE_DIR}/ki18n_install/test.cmake")

ecm_add_tests(
    kcatalogtest.cpp
    kcountrytest.cpp
    kcountrysubdivisiontest.cpp
    ktimezonetest.cpp
    LINK_LIBRARIES KF6::I18nLocaleData Qt6::Test
)

## kf6-ki18n 6.3.0

=== debian/changelog ===
kf6-ki18n (6.3.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add declarative dh-sequence-kf6 and dh-sequence-pkgkde-symbolshelper build
    dependencies to use the kf6 and pkgkde-symbolshelper dh addons
    automatically.

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:45:42 +0200

kf6-ki18n (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 30 Mar 2024 13:33:46 +0100

ki18n (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Mar 2024 11:09:58 +0100

ki18n (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:28 +0200

ki18n (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:49 +0100

ki18n (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:22 +0100

ki18n (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:01 +0100

ki18n (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:21 +0100

ki18n (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:56 +0100

ki18n (5.98.0-2) UNRELEASED; urgency=medium

  [ Sandro Knauß ]
  * Add iso-codes as dependency for libkf5i18nlocaledata5.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 25 Oct 2022 14:46:47 +0200

ki18n (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:35 +0200

ki18n (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:28 +0200

ki18n (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:32:56 +0200

ki18n (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:02 +0200

ki18n (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.92.0).
  * Update the list of installed files.
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:43 +0200

ki18n (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:41 +0100

ki18n (5.88.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:39 +0900

ki18n (5.88.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Add qtbase5-private-dev to B-D.
  * Force-bump frameworks internal b-d to 5.88.
  * Introduce new packages for qml module and locale data lib.

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Nov 2021 08:58:17 +0900

ki18n (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:55:38 +0900

ki18n (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:47 +0900

ki18n (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:03:24 +0900

ki18n (5.83.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:04 +0900

ki18n (5.83.0-2) experimental; urgency=medium

  [ Norbert Preining ]
  * Add gettext to the deps of the -dev package (LP: #1932371)

 -- Norbert Preining <norbert@preining.info>  Sat, 19 Jun 2021 01:02:49 +0900

ki18n (5.83.0-1) experimental; urgency=medium



=== debian/control ===
Source: kf6-ki18n
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               python3:any,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/ki18n
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ki18n
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ki18n.git
Rules-Requires-Root: no

Package: libkf6i18n-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Advanced internationalization framework
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
 .
 This package contains the translations.

Package: libkf6i18n-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gettext,
         libkf6i18n6 (= ${binary:Version}),
         libkf6i18nlocaledata6 (= ${binary:Version}),
         python3:any,
         qt6-base-dev (>= 6.5.0+dfsg~),
         qt6-declarative-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6i18n-doc (= ${source:Version}),
Description: Advanced internationalization framework
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
 .
 Contains development files for ki18n.

Package: libkf6i18n-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Advanced internationalization framework (documentation)
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6i18n6
Architecture: any
Multi-Arch: same
Depends: libkf6i18n-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Advanced internationalization framework
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.

Package: libkf6i18nlocaledata6
Architecture: any
Multi-Arch: same
Depends: iso-codes, ${misc:Depends}, ${shlibs:Depends},
Description: Advanced internationalization framework (locale data)
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
 .
 Locale data library.

Package: qml6-module-org-kde-i18n-localedata
Architecture: any
Multi-Arch: same
Depends: libkf6i18nlocaledata6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Advanced internationalization framework (locale data QML module)
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
 .
 This package contains the QtQuick QML module.

## kf6-ki18n 6.6.0

=== debian/changelog ===
kf6-ki18n (6.6.0-2) unstable; urgency=medium

  * Team upload.
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 19:35:17 +0100

kf6-ki18n (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 22:59:43 +0200

kf6-ki18n (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * CI: update/simplify configuration.
  * Add build dependencies needed for running the tests: iso-codes,
    locales-all, qml6-module-qtqml-models, and qml6-module-qtqml-workerscript.
  * Stop disabling the build_stamp dh addon: the little saved by that is not
    worth the extra maintenance cost.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Aug 2024 10:10:14 +0200

kf6-ki18n (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:21:58 +0200

kf6-ki18n (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:23:26 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,15 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
+               iso-codes <!nocheck>,
+               locales-all <!nocheck>,
                python3:any,
+               qml6-module-qtqml-models <!nocheck>,
+               qml6-module-qtqml-workerscript <!nocheck>,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
@@ -46,6 +51,7 @@
          libkf6i18n6 (= ${binary:Version}),
          libkf6i18nlocaledata6 (= ${binary:Version}),
          python3:any,
+         qml6-module-org-kde-i18n-localedata (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          qt6-declarative-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
@@ -120,6 +126,7 @@
 Multi-Arch: same
 Depends: libkf6i18nlocaledata6 (= ${binary:Version}),
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Description: Advanced internationalization framework (locale data QML module)
  Ki18n is the KDE internationalization system for

## kf6-ki18n 6.9.0

=== debian/changelog ===
kf6-ki18n (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:46:39 +0000

kf6-ki18n (6.8.0-0ubuntu2) plucky; urgency=medium

  * Merge changes from 6.6.0-2 in Debian unstable.
    - Use dh_qmldeps to detect QML dependencies.
    - Add qml6-module packages to -dev package for QML dependency
      detection.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Dec 2024 12:01:01 +0000

kf6-ki18n (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)
  * New library package libkf6i18nqml6.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:36:12 +0000

kf6-ki18n (6.6.0-0ubuntu2) oracular; urgency=medium

  * Fix last upload with updates lost in git my merge.
    - Add optional build dep libxkbcommon-dev.

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Sep 2024 17:31:16 +0100

kf6-ki18n (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:06:10 +0100

kf6-ki18n (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:26:06 +0100

kf6-ki18n (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:34:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-ki18n
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -10,20 +11,16 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
                gettext,
-               iso-codes <!nocheck>,
-               locales-all <!nocheck>,
                python3:any,
-               qml6-module-qtqml-models <!nocheck>,
-               qml6-module-qtqml-workerscript <!nocheck>,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/ki18n
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ki18n
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ki18n.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ki18n
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ki18n
 Rules-Requires-Root: no
 
 Package: libkf6i18n-data
@@ -50,6 +47,7 @@
 Depends: gettext,
          libkf6i18n6 (= ${binary:Version}),
          libkf6i18nlocaledata6 (= ${binary:Version}),
+         libkf6i18nqml6 (= ${binary:Version}),
          python3:any,
          qml6-module-org-kde-i18n-localedata (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
@@ -121,6 +119,25 @@
  .
  Locale data library.
 
+Package: libkf6i18nqml6
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
+Description: Advanced internationalization framework (locale data)
+ Ki18n is the KDE internationalization system for
+ user-interface text. It enables localization of
+ user-visible strings, including locale-aware argument
+ substitution and formatting. Ki18n is built atop the
+ widely used Gettext internationalization system, making
+ the workflow familiar to both programmers and translators.
+ It can be considered a Gettext-wrapper for code based on
+ the Qt library, but it also provides additional
+ functionality over basic Gettext.
+ .
+ QML library.
+
 Package: qml6-module-org-kde-i18n-localedata
 Architecture: any
 Multi-Arch: same

## kf6-ki18n 6.10.0

=== debian/changelog ===
kf6-ki18n (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:23:12 +0100

kf6-ki18n (6.8.0-2) unstable; urgency=medium

  * sourceful upload to get the package migrate to testing.

 -- Sandro Knauß <hefee@debian.org>  Tue, 10 Dec 2024 18:02:57 +0100

kf6-ki18n (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Package the libKF6I18nQml library for QML bindings.
  * Fix duplicate short descriptions.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 16:39:42 +0100

kf6-ki18n (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:25 -0600

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,37 @@
 Source: kf6-ki18n
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.9.0~),
+               extra-cmake-modules (>= 6.10.0~),
                gettext,
+               iso-codes <!nocheck>,
+               locales-all <!nocheck>,
                python3:any,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qml6-module-qtqml-models <!nocheck>,
+               qml6-module-qtqml-workerscript <!nocheck>,
+               qt6-base-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.6.0~),
+               qt6-declarative-private-dev,
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/ki18n
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ki18n
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ki18n
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ki18n
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ki18n.git
 Rules-Requires-Root: no
 
 Package: libkf6i18n-data
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Advanced internationalization framework
+Description: Advanced internationalization framework (architecture-independent data)
  Ki18n is the KDE internationalization system for
  user-interface text. It enables localization of
  user-visible strings, including locale-aware argument
@@ -50,11 +54,11 @@
          libkf6i18nqml6 (= ${binary:Version}),
          python3:any,
          qml6-module-org-kde-i18n-localedata (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
-         qt6-declarative-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
+         qt6-declarative-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6i18n-doc (= ${source:Version}),
-Description: Advanced internationalization framework
+Description: Advanced internationalization framework (development files)
  Ki18n is the KDE internationalization system for
  user-interface text. It enables localization of
  user-visible strings, including locale-aware argument
@@ -122,10 +126,8 @@
 Package: libkf6i18nqml6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
-Description: Advanced internationalization framework (locale data)
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Advanced internationalization framework (QML bindings)
  Ki18n is the KDE internationalization system for
  user-interface text. It enables localization of
  user-visible strings, including locale-aware argument
@@ -136,7 +138,7 @@
  the Qt library, but it also provides additional
  functionality over basic Gettext.
  .
- QML library.
+ QML bindings library.
 
 Package: qml6-module-org-kde-i18n-localedata
 Architecture: any

## kf6-ki18n 6.11.0

=== debian/changelog ===
kf6-ki18n (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 16:58:45 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                gettext,
                iso-codes <!nocheck>,
                locales-all <!nocheck>,

## kf6-ki18n 6.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.12.0") # handled by release scripts
project(KI18n VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 6.12.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${KI18n_SOURCE_DIR}/cmake ${KI18n_BINARY_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMQmlModule)


ecm_setup_version(
  PROJECT
  VARIABLE_PREFIX KI18N
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ki18n_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_BINARY_DIR}/cmake/KF6I18nConfigVersion.cmake"
  SOVERSION 6)

# Dependencies
set(REQUIRED_QT_VERSION 6.6.0)

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core OPTIONAL_COMPONENTS Widgets)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_WITH_QML "Build with support for scripted translations (recommended)" ON)
if(BUILD_WITH_QML)
    find_package(Qt6Qml ${REQUIRED_QT_VERSION} CONFIG REQUIRED)
endif()

find_package(LibIntl)
set_package_properties(LibIntl PROPERTIES TYPE REQUIRED
    URL "http://gnuwin32.sourceforge.net/packages/libintl.htm"
    PURPOSE "Needed for building KI18n unless glibc is the system libc implementation"
)

find_package(IsoCodes)
set_package_properties(IsoCodes PROPERTIES TYPE RUNTIME
    PURPOSE "Translation catalogs for countries, country subdivisions, languages and currencies"
)

# KF6I18nMacros.cmake only needs to know the python executable path.
# Due to CMake caching the variables, and KF6I18nMacros being included by KF6I18nConfig,
# we have to hardcode the PYTHON_EXECUTABLE path or anything depending on KF6I18n
# would be unable to find another Python version.
find_package(Python3 REQUIRED COMPONENTS Interpreter)
# allow settings this path explicitly for cross-building setups
if (NOT FALLBACK_KI18N_PYTHON_EXECUTABLE)
    set(FALLBACK_KI18N_PYTHON_EXECUTABLE ${Python3_EXECUTABLE})
endif()
configure_file(cmake/KF6I18nMacros.cmake.in ${KI18n_BINARY_DIR}/cmake/KF6I18nMacros.cmake @ONLY)
# Needed to build the ki18n translations and run the autotests
file(COPY ${KI18n_SOURCE_DIR}/cmake/build-pofiles.cmake DESTINATION ${KI18n_BINARY_DIR}/cmake)
file(COPY ${KI18n_SOURCE_DIR}/cmake/build-tsfiles.cmake DESTINATION ${KI18n_BINARY_DIR}/cmake)
file(COPY ${KI18n_SOURCE_DIR}/cmake/ts-pmap-compile.py DESTINATION ${KI18n_BINARY_DIR}/cmake)
file(COPY ${KI18n_SOURCE_DIR}/cmake/kf6i18nuic.cmake DESTINATION ${KI18n_BINARY_DIR}/cmake)

# Create dummy file to execute find_package(KF6I18n) within autotests/ki18n_install
file(WRITE ${CMAKE_BINARY_DIR}/cmake/KF6I18nTargets.cmake "")

include(${KI18n_BINARY_DIR}/cmake/KF6I18nMacros.cmake)

remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
if(MSVC)
    remove_definitions(-DQT_STRICT_ITERATORS)
endif()

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_set_disabled_deprecation_versions(
    QT 6.8.0
)

ki18n_install(po)
add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6I18n")

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6I18n_QCH
        FILE "${CMAKE_BINARY_DIR}/cmake/KF6I18nQchTargets.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6I18nQchTargets.cmake\")")
endif()

configure_package_config_file("${CMAKE_CURRENT_LIST_DIR}/KF6I18nConfig.cmake.in"
                              "${CMAKE_BINARY_DIR}/cmake/KF6I18nConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES  "${CMAKE_BINARY_DIR}/cmake/KF6I18nConfig.cmake"
    "${CMAKE_BINARY_DIR}/cmake/KF6I18nConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel)

install(EXPORT KF6I18nTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6I18nTargets.cmake NAMESPACE KF6::)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ki18n_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KI18n COMPONENT Devel)

install( FILES
    ${KI18n_BINARY_DIR}/cmake/KF6I18nMacros.cmake
    cmake/kf6i18nuic.cmake
    cmake/build-pofiles.cmake
    cmake/build-tsfiles.cmake
    cmake/ts-pmap-compile.py
    DESTINATION ${CMAKECONFIG_INSTALL_DIR} COMPONENT Devel )

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/localedata-qml/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Volker Krause <vkrause@kde.org>
# SPDX-FileCopyrightText: 2022 Julius Künzel <jk.kdedev@smartlab.uber.space>
# SPDX-License-Identifier: BSD-3-Clause

ecm_add_qml_module(ki18nlocaledataqmlplugin URI "org.kde.i18n.localeData" VERSION 1.0)

target_sources(ki18nlocaledataqmlplugin PRIVATE
    ki18nlocaledataqmlplugin.cpp
)
target_link_libraries(ki18nlocaledataqmlplugin PRIVATE
    Qt6::Qml
    KF6::I18nLocaleData
)

ecm_finalize_qml_module(ki18nlocaledataqmlplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== debian/changelog ===
kf6-ki18n (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:52:07 +0000

kf6-ki18n (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:47:51 +0000

kf6-ki18n (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:19:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,33 @@
 Source: kf6-ki18n
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
                gettext,
-               iso-codes <!nocheck>,
-               locales-all <!nocheck>,
                python3:any,
-               qml6-module-qtqml-models <!nocheck>,
-               qml6-module-qtqml-workerscript <!nocheck>,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-declarative-dev (>= 6.6.0~),
-               qt6-declarative-private-dev,
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/ki18n
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ki18n
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ki18n.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ki18n
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ki18n
 Rules-Requires-Root: no
 
 Package: libkf6i18n-data
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Advanced internationalization framework (architecture-independent data)
+Description: Advanced internationalization framework
  Ki18n is the KDE internationalization system for
  user-interface text. It enables localization of
  user-visible strings, including locale-aware argument
@@ -54,11 +50,11 @@
          libkf6i18nqml6 (= ${binary:Version}),
          python3:any,
          qml6-module-org-kde-i18n-localedata (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
-         qt6-declarative-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-declarative-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6i18n-doc (= ${source:Version}),
-Description: Advanced internationalization framework (development files)
+Description: Advanced internationalization framework
  Ki18n is the KDE internationalization system for
  user-interface text. It enables localization of
  user-visible strings, including locale-aware argument
@@ -126,8 +122,10 @@
 Package: libkf6i18nqml6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Advanced internationalization framework (QML bindings)
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
+Description: Advanced internationalization framework (locale data)
  Ki18n is the KDE internationalization system for
  user-interface text. It enables localization of
  user-visible strings, including locale-aware argument
@@ -138,7 +136,7 @@
  the Qt library, but it also provides additional
  functionality over basic Gettext.
  .
- QML bindings library.
+ QML library.
 
 Package: qml6-module-org-kde-i18n-localedata
 Architecture: any

## kf6-ki18n 6.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.13.0") # handled by release scripts
 project(KI18n VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.13.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -86,7 +86,7 @@
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.8.0
+    QT 6.9.0
 )
 
 ki18n_install(po)

=== src/i18n-qml/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_library(KF6I18nQml)
add_library(KF6::I18nQml ALIAS KF6I18nQml)

set_target_properties(KF6I18nQml PROPERTIES
    VERSION     ${KI18N_VERSION}
    SOVERSION   ${KI18N_SOVERSION}
    EXPORT_NAME I18nQml
)

target_sources(KF6I18nQml PRIVATE
    klocalizedqmlcontext.cpp
)

ecm_qt_declare_logging_category(KF6I18nQml
    HEADER ki18n_qml_logging.h
    IDENTIFIER KI18N
    CATEGORY_NAME kf.i18n.qml
    DESCRIPTION "KI18n QML Integration"
    EXPORT KI18N
)

ecm_generate_export_header(KF6I18nQml
    BASE_NAME KI18nQml
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME KI18n
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF6I18nQml
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KI18n>"
    PUBLIC "$<BUILD_INTERFACE:${CMAKE_BINARY_DIR}>" # for version header
)

target_link_libraries(KF6I18nQml
    PUBLIC
        Qt6::Core
    PRIVATE
        KF6I18n
        Qt6::Qml
)

ecm_generate_headers(KI18n_HEADERS
  HEADER_NAMES
    KLocalizedQmlContext
    REQUIRED_HEADERS KI18n_HEADERS
)

install(TARGETS KF6I18nQml EXPORT KF6I18nTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${KI18n_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/ki18nqml_export.h
    DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}/KI18n" COMPONENT Devel
)

=== debian/changelog ===
kf6-ki18n (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:35:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,37 @@
 Source: kf6-ki18n
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.12.0~),
+               extra-cmake-modules (>= 6.13.0~),
                gettext,
+               iso-codes <!nocheck>,
+               locales-all <!nocheck>,
                python3:any,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qml6-module-qtqml-models <!nocheck>,
+               qml6-module-qtqml-workerscript <!nocheck>,
+               qt6-base-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.6.0~),
+               qt6-declarative-private-dev,
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/ki18n
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ki18n
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ki18n
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ki18n
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ki18n.git
 Rules-Requires-Root: no
 
 Package: libkf6i18n-data
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Advanced internationalization framework
+Description: Advanced internationalization framework (architecture-independent data)
  Ki18n is the KDE internationalization system for
  user-interface text. It enables localization of
  user-visible strings, including locale-aware argument
@@ -50,11 +54,11 @@
          libkf6i18nqml6 (= ${binary:Version}),
          python3:any,
          qml6-module-org-kde-i18n-localedata (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
-         qt6-declarative-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
+         qt6-declarative-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6i18n-doc (= ${source:Version}),
-Description: Advanced internationalization framework
+Description: Advanced internationalization framework (development files)
  Ki18n is the KDE internationalization system for
  user-interface text. It enables localization of
  user-visible strings, including locale-aware argument
@@ -122,10 +126,8 @@
 Package: libkf6i18nqml6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
-Description: Advanced internationalization framework (locale data)
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Advanced internationalization framework (QML bindings)
  Ki18n is the KDE internationalization system for
  user-interface text. It enables localization of
  user-visible strings, including locale-aware argument
@@ -136,7 +138,7 @@
  the Qt library, but it also provides additional
  functionality over basic Gettext.
  .
- QML library.
+ QML bindings library.
 
 Package: qml6-module-org-kde-i18n-localedata
 Architecture: any

## kf6-ki18n 6.14.0

=== debian/changelog ===
kf6-ki18n (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:57:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,33 @@
 Source: kf6-ki18n
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.13.0~),
+               extra-cmake-modules (>= 6.14.0~),
                gettext,
-               iso-codes <!nocheck>,
-               locales-all <!nocheck>,
                python3:any,
-               qml6-module-qtqml-models <!nocheck>,
-               qml6-module-qtqml-workerscript <!nocheck>,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-declarative-dev (>= 6.6.0~),
-               qt6-declarative-private-dev,
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/ki18n
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ki18n
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ki18n.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ki18n
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ki18n
 Rules-Requires-Root: no
 
 Package: libkf6i18n-data
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Advanced internationalization framework (architecture-independent data)
+Description: Advanced internationalization framework
  Ki18n is the KDE internationalization system for
  user-interface text. It enables localization of
  user-visible strings, including locale-aware argument
@@ -54,11 +50,11 @@
          libkf6i18nqml6 (= ${binary:Version}),
          python3:any,
          qml6-module-org-kde-i18n-localedata (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
-         qt6-declarative-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-declarative-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6i18n-doc (= ${source:Version}),
-Description: Advanced internationalization framework (development files)
+Description: Advanced internationalization framework
  Ki18n is the KDE internationalization system for
  user-interface text. It enables localization of
  user-visible strings, including locale-aware argument
@@ -126,8 +122,10 @@
 Package: libkf6i18nqml6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Advanced internationalization framework (QML bindings)
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
+Description: Advanced internationalization framework (locale data)
  Ki18n is the KDE internationalization system for
  user-interface text. It enables localization of
  user-visible strings, including locale-aware argument
@@ -138,7 +136,7 @@
  the Qt library, but it also provides additional
  functionality over basic Gettext.
  .
- QML bindings library.
+ QML library.
 
 Package: qml6-module-org-kde-i18n-localedata
 Architecture: any
